# $Revision: 1.11 $, $Date: 2005/05/17 12:21:02 $
Summary:	A Minesweeper game for the X Window System
Summary(de):	Minesweeper-Game
Summary(es):	Juego Minesweeper
Summary(fr):	Jeu de dmineur
Summary(pl):	Gra "Saper" dla X Window System
Summary(pt_BR):	Jogo Minesweeper
Summary(tr):	Mayn tarlas oyunu
Name:		xdemineur
Version:	2.1.1
Release:	10
License:	MIT
Group:		X11/Applications/Games
Source0:	ftp://ftp.x.org/contrib/games/%{name}-%{version}.tar.gz
# Source0-md5:	733daa1db17ed8025186236817c013f7
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Xdemineur is a Minesweeper game for the X Window System. The object of
the game is to find the mines and place little flags on them, before
you stumble across a mine and get blown up.

%description -l de
Ein Spiel, das intensivste Konzentration erfordert, in dem Sie die
Standorte von Minen durch logisches, deduktives Denken herausfinden
mssen.

%description -l es
Este es un juego de intensa concentracin, donde debes con xito
determinar los locales de las minas a travs de lgica y deduccin.
Muy parecido con la versin Windows.

%description -l fr
Jeu d'une concentration extrme, o vous devez dterminer les
emplacements des mines en utilisant la logique et la dduction.

%description -l pl
Xdemineur to gra "Saper" dla X Window System. Celem gry jest
odnalezienie wszystkich min i oznaczenie ich flagami, unikajc
nastpienia na min i wysadzenia w powietrze.

%description -l pt_BR
Este  um jogo de intensa concentrao, onde voc deve com sucesso
determinar os locais das minas atravs de lgica e deduo. Muito
parecido com a verso Windows.

%description -l tr
Komu karelerde yer alan mayn saylarndan yararlanarak tarlada yer
alan tm maynlar bulmanz amalanmaktadr.

%prep
%setup -q

%build
xmkmf -a
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install install.man

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xdemineur
%{_mandir}/man1/xdemineur.*
%{_desktopdir}/xdemineur.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xdemineur.spec,v $
Revision 1.11  2005/05/17 12:21:02  ankry
- rel. 10 to rebuild with fixed desktop

Revision 1.10  2004/07/04 21:14:16  adamg
- cosmetics

Revision 1.9  2004/07/03 21:48:29  havner
- applnk -> vfolders

Revision 1.8  2004/04/26 19:27:28  adamg
- release 8 for Ac (7 is for Ra)

Revision 1.7  2003/05/28 13:03:03  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:28:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/07/02 08:35:29  kloczek
- merge old translations from BeroLinux and also from Conectiva,
- better desktop file,
- move desktop file to Gammes/Board,
- added png Icon (based on mine.xpm from source tar ball).

Revision 1.4  2002/06/30 21:49:52  marcus
- rel.7.

Revision 1.3  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/28 22:23:32  qboosh
- PLDified

Based on spec from RedHat PowerTools.
